Bug 198600 - rpath
rpath
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: OpenIPMI (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-12 04:44 EDT by Florian La Roche
Modified: 2015-03-04 20:17 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-18 11:23:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florian La Roche 2006-07-12 04:44:06 EDT
Description of problem:

The rpath setting for perl is normal, maybe the others could be cleaned up
or removed.

[laroche@dudweiler ~]$ /usr/bin/fedora-rpminfo -r
/home/mirror/fedora/development/i386/os/Fedora/RPMS/OpenIPMI-*

OpenIPMI-libs-2.0.6-4.i386.rpm
        /usr/lib/libIPMIlanserv.so.0.0.1        RPATH /usr/lib
        /usr/lib/libOpenIPMI.so.0.0.5   RPATH /usr/lib
        /usr/lib/libOpenIPMIcmdlang.so.0.0.5    RPATH /usr/lib
        /usr/lib/libOpenIPMIglib.so.0.0.1       RPATH /usr/lib
        /usr/lib/libOpenIPMIposix.so.0.0.1      RPATH /usr/lib
        /usr/lib/libOpenIPMIui.so.1.0.1 RPATH /usr/lib

OpenIPMI-perl-2.0.6-4.i386.rpm
       
/usr/lib/perl5/site_perl/5.8.8/i386-linux-thread-multi/auto/OpenIPMI/OpenIPMI.so
       RPATH //usr/lib

OpenIPMI-python-2.0.6-4.i386.rpm
        /usr/lib/python2.4/site-packages/_OpenIPMI.so   RPATH //usr/lib
[laroche@dudweiler ~]$





Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Phil Knirsch 2006-07-18 11:23:14 EDT
Tried to get rid of that rpath, but none of the tricks i know worked, got really
very strange results (from double definitions over only static libs to some
files not being installable etc).

Talked with Thomas about it and generally /usr/lib[64] rpaths aren't really bad,
just a tad ugly (can't be abused and not security relevant).

Leaving it as it is for now, maybe newer libtools can handle --disable-rpath
properly again sometime.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.